FLANG

Public Member Functions | List of all members
Fortran::semantics::AssocEntityDetails Class Reference
Inheritance diagram for Fortran::semantics::AssocEntityDetails:

## Public Member Functions
| AssocEntityDetails (SomeExpr &&expr)
| AssocEntityDetails (const AssocEntityDetails &)=default
| AssocEntityDetails (AssocEntityDetails &&)=default
AssocEntityDetails & | operator= (const AssocEntityDetails &)=default
AssocEntityDetails & | operator= (AssocEntityDetails &&)=default
const MaybeExpr & | expr () const
void | set_rank (int rank)
std::optional< int > | rank () const
Public Member Functions inherited from Fortran::semantics::EntityDetails
| EntityDetails (bool isDummy=false)
const DeclTypeSpec * | type () const
void | set_type (const DeclTypeSpec &)
void | ReplaceType (const DeclTypeSpec &)
bool | isDummy () const
void | set_isDummy (bool value=true)
bool | isFuncResult () const
void | set_funcResult (bool x)
MaybeExpr | bindName () const
void | set_bindName (MaybeExpr &&expr)

The documentation for this class was generated from the following files:

- include/flang/Semantics/symbol.h
- lib/Semantics/symbol.cpp